> For the complete documentation index, see [llms.txt](https://docs.kangal.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kangal.dev/tr/entegrasyonlar/opsgenie.md).

# Opsgenie

Opsgenie driver'ı API anahtarını tek bir hesap metadata isteğiyle doğrular.

**Console kurulumu:** Talep üzerine.

## Yapılandırma

| Tür           | Alan      | Zorunlu | Varsayılan / not                                     |
| ------------- | --------- | ------- | ---------------------------------------------------- |
| Configuration | `region`  | Hayır   | `us`; `eu` seçilirse EU endpoint'i kullanılır        |
| Configuration | `api_url` | Hayır   | Girilirse bölgeye göre seçilen adresi geçersiz kılar |
| Secret        | `api_key` | Evet    | `GenieKey ...` biçiminde gönderilir                  |

Varsayılan adres `https://api.opsgenie.com`, EU adresi `https://api.eu.opsgenie.com` değeridir.

## Yapılan çağrı

Driver `GenieKey` authentication ile tek bir `GET /v2/account` isteği yapar. Varsayılan timeout 10 saniyedir.

## Dönen metadata

Başarılı sonuç `slug`, `provider`, `http_status`, `account_name`, `account_id` ve `plan_name` alanlarını içerir. Provider bu değerlerden birini döndürmezse ilgili metadata alanı boş olabilir. HTTP hatalarında standartlaştırılmış istek ve rate-limit metadata'sı da dönebilir.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kangal.dev/tr/entegrasyonlar/opsgenie.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
